summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-673536-pre-depends-breaks-loop
diff options
context:
space:
mode:
authorMichael Vogt <egon@debian-devbox>2012-06-19 13:56:39 +0200
committerMichael Vogt <egon@debian-devbox>2012-06-19 13:56:39 +0200
commit60cb4b09173ef64528dfbe92f016240c6fec3605 (patch)
tree48ce686d588f75c44287e15186c38b9cb3d6c92c /test/integration/test-bug-673536-pre-depends-breaks-loop
parente3026ce49a0839dfbe494af7e60d91bc7204f88e (diff)
parent567785b979d9b71ceb92edda82e4f15bb40a2e61 (diff)
merged from donkult
Diffstat (limited to 'test/integration/test-bug-673536-pre-depends-breaks-loop')
-rwxr-xr-xtest/integration/test-bug-673536-pre-depends-breaks-loop23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/integration/test-bug-673536-pre-depends-breaks-loop b/test/integration/test-bug-673536-pre-depends-breaks-loop
new file mode 100755
index 000000000..e9d3c4de6
--- /dev/null
+++ b/test/integration/test-bug-673536-pre-depends-breaks-loop
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'native'
+
+buildsimplenativepackage 'basic' 'native' '1' 'stable'
+buildsimplenativepackage 'basic' 'native' '2' 'unstable' 'Pre-Depends: common'
+buildsimplenativepackage 'common' 'native' '2' 'unstable' 'Breaks: basic (<= 1)'
+
+setupaptarchive
+
+# we check with 'real' packages here as the simulation reports a 'Conf broken'
+# which is technical correct for the simulation, but testing errormsg is ugly
+
+aptget install basic=1 -qq > /dev/null
+testdpkginstalled basic
+testdpkgnotinstalled common
+
+aptget dist-upgrade -qq > /dev/null
+testdpkginstalled basic common